ggiWmhIconify(3)

NAME
ggiWmhIconify, ggiWmhMoveIcon, ggiWmhSetIconTitle : Modify Icon handling

SYNOPSIS
#include <ggi/wmh.>
int ggiWmhIconify      (ggi_visual_t vis,int icon);
int ggiWmhMoveIcon     (ggi_visual_t vis,int x,int y);
int ggiWmhSetIconTitle (ggi_visual_t vis, const char *title);

DESCRIPTION
ggiWmhIconify switches the window into one of three different states according to the icon argument:
    GGI_WMH_MAPSTATE_NORMAL: Normal state. GGI_WMH_MAPSTATE_ICON: Iconified state. GGI_WMH_MAPSTATE_WITHDRAWN: Withdrawn state (invisible).
ggiWmhMoveIcon moves the icon to the position, where x, y specifies the top-left icon corner. ggiWmhSetIconTitle sets the name to be displayed in a window's icon.

RETURN VALUE
All three functions return 0 for success, otherwise an ggi-error(3) code on failure.